QueueInfo (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: QueueInfo

Package org.apache.hadoop.yarn.api.records

# Class QueueInfo

java.lang.Object
org.apache.hadoop.yarn.api.records.QueueInfo

@Public @Stable public abstract class QueueInfo extends Object
QueueInfo is a report of the runtime information of the queue.

It includes information such as:

- Queue name.
- Capacity of the queue.
- Maximum capacity of the queue.
- Current capacity of the queue.
- Child queues.
- Running applications.
- `QueueState` of the queue.
- `QueueConfigurations` of the queue.

See Also:
  - `QueueState`
  - `QueueConfigurations`
  - `ApplicationClientProtocol.getQueueInfo(org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Set<String>`
  `getAccessibleNodeLabels()`
  Get the `accessible node labels` of the queue.
  `abstract List<ApplicationReport>`
  `getApplications()`
  Get the running applications of the queue.
  `abstract float`
  `getCapacity()`
  Get the configured capacity of the queue.
  `abstract List<QueueInfo>`
  `getChildQueues()`
  Get the child queues of the queue.
  `abstract float`
  `getCurrentCapacity()`
  Get the current capacity of the queue.
  `abstract String`
  `getDefaultNodeLabelExpression()`
  Get the `default node label expression` of the queue, this takes affect only when the `ApplicationSubmissionContext` and `ResourceRequest` don't specify their `NodeLabelExpression`.
  `abstract Boolean`
  `getIntraQueuePreemptionDisabled()`
  Get the intra-queue preemption status of the queue.
  `abstract float`
  `getMaximumCapacity()`
  Get the maximum capacity of the queue.
  `abstract int`
  `getMaxParallelApps()`
  Get the configured max parallel apps of the queue.
  `abstract long`
  `getMaxResourceMemory()`
  Get the maximum resource Memory.
  `abstract int`
  `getMaxResourceVCore()`
  Get the maximum resource VCore.
  `abstract int`
  `getMaxRunningApp()`
  Get the MaxRunningApp.
  `abstract long`
  `getMinResourceMemory()`
  Get the minimum resource Memory.
  `abstract int`
  `getMinResourceVCore()`
  Get the minimum resource VCore.
  `abstract Boolean`
  `getPreemptionDisabled()`
  Get the preemption status of the queue.
  `abstract Map<String,QueueConfigurations>`
  `getQueueConfigurations()`
  Get the per-node-label queue configurations of the queue.
  `abstract String`
  `getQueueName()`
  Get the name of the queue.
  `abstract String`
  `getQueuePath()`
  Get the path of the queue.
  `abstract QueueState`
  `getQueueState()`
  Get the `QueueState` of the queue.
  `abstract QueueStatistics`
  `getQueueStatistics()`
  Get the `queue stats` for the queue
  `abstract long`
  `getReservedResourceMemory()`
  Get the reserved resource Memory.
  `abstract int`
  `getReservedResourceVCore()`
  Get the reserved resource VCore.
  `abstract String`
  `getSchedulerType()`
  Get Scheduler type.
  `abstract long`
  `getSteadyFairShareMemory()`
  Get the SteadyFairShare Memory.
  `abstract int`
  `getSteadyFairShareVCore()`
  Get the SteadyFairShare VCore.
  `abstract String`
  `getSubClusterId()`
  Get the SubClusterId.
  `abstract float`
  `getWeight()`
  Get the configured weight of the queue.
  `static QueueInfo`
  `newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps)`
  `static QueueInfo`
  `newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps, Map<String,QueueConfigurations> queueConfigurations)`
  `static QueueInfo`
  `newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps, Map<String,QueueConfigurations> queueConfigurations, boolean intraQueuePreemptionDisabled)`
  `abstract void`
  `setAccessibleNodeLabels(Set<String> labels)`
  Set the `accessible node labels` of the queue.
  `abstract void`
  `setApplications(List<ApplicationReport> applications)`
  `abstract void`
  `setCapacity(float capacity)`
  `abstract void`
  `setChildQueues(List<QueueInfo> childQueues)`
  `abstract void`
  `setCurrentCapacity(float currentCapacity)`
  `abstract void`
  `setDefaultNodeLabelExpression(String defaultLabelExpression)`
  `abstract void`
  `setIntraQueuePreemptionDisabled(boolean intraQueuePreemptionDisabled)`
  `abstract void`
  `setMaximumCapacity(float maximumCapacity)`
  `abstract void`
  `setMaxParallelApps(int maxParallelApps)`
  `abstract void`
  `setMaxResourceMemory(long memory)`
  Set the maximum resource Memory.
  `abstract void`
  `setMaxResourceVCore(int vCore)`
  Set the maximum resource Memory.
  `abstract void`
  `setMaxRunningApp(int maxRunningApp)`
  `abstract void`
  `setMinResourceMemory(long memory)`
  Set the minimum resource Memory.
  `abstract void`
  `setMinResourceVCore(int vCore)`
  Set the minimum resource VCore.
  `abstract void`
  `setPreemptionDisabled(boolean preemptionDisabled)`
  `abstract void`
  `setQueueConfigurations(Map<String,QueueConfigurations> queueConfigurations)`
  Set the per-node-label queue configurations for the queue.
  `abstract void`
  `setQueueName(String queueName)`
  `abstract void`
  `setQueuePath(String queuePath)`
  `abstract void`
  `setQueueState(QueueState queueState)`
  `abstract void`
  `setQueueStatistics(QueueStatistics queueStatistics)`
  Set the queue statistics for the queue
  `abstract void`
  `setReservedResourceMemory(long memory)`
  Set the reserved resource Memory.
  `abstract void`
  `setReservedResourceVCore(int vCore)`
  Set the reserved resource VCore.
  `abstract void`
  `setSchedulerType(String schedulerType)`
  Set Scheduler type.
  `abstract void`
  `setSteadyFairShareMemory(long memory)`
  Set the SteadyFairShare Memory.
  `abstract void`
  `setSteadyFairShareVCore(int vCore)`
  Set the SteadyFairShare VCore.
  `abstract void`
  `setSubClusterId(String subClusterId)`
  Set the SubClusterId.
  `abstract void`
  `setWeight(float weight)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueueInfo

    public QueueInfo()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static QueueInfo newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps)

  - ### newInstance

    @Private @Unstable public static QueueInfo newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps, Map<String,QueueConfigurations> queueConfigurations)

  - ### newInstance

    @Private @Unstable public static QueueInfo newInstance(String queueName, String queuePath, float capacity, float maximumCapacity, float currentCapacity, List<QueueInfo> childQueues, List<ApplicationReport> applications, QueueState queueState, Set<String> accessibleNodeLabels, String defaultNodeLabelExpression, QueueStatistics queueStatistics, boolean preemptionDisabled, float weight, int maxParallelApps, Map<String,QueueConfigurations> queueConfigurations, boolean intraQueuePreemptionDisabled)

  - ### getQueueName

    @Public @Stable public abstract String getQueueName()
    Get the name of the queue.
    Returns:
      name of the queue

  - ### setQueueName

    @Private @Unstable public abstract void setQueueName(String queueName)

  - ### getQueuePath

    @Public @Stable public abstract String getQueuePath()
    Get the path of the queue.
    Returns:
      path of the queue

  - ### setQueuePath

    @Private @Unstable public abstract void setQueuePath(String queuePath)

  - ### getCapacity

    @Public @Stable public abstract float getCapacity()
    Get the configured capacity of the queue.
    Returns:
      configured capacity of the queue

  - ### setCapacity

    @Private @Unstable public abstract void setCapacity(float capacity)

  - ### getWeight

    @Public @Stable public abstract float getWeight()
    Get the configured weight of the queue.
    Returns:
      configured weight of the queue

  - ### setWeight

    @Private @Unstable public abstract void setWeight(float weight)

  - ### getMaxParallelApps

    @Public @Stable public abstract int getMaxParallelApps()
    Get the configured max parallel apps of the queue.
    Returns:
      configured max parallel apps of the queue

  - ### setMaxParallelApps

    @Private @Unstable public abstract void setMaxParallelApps(int maxParallelApps)

  - ### getMaximumCapacity

    @Public @Stable public abstract float getMaximumCapacity()
    Get the maximum capacity of the queue.
    Returns:
      maximum capacity of the queue

  - ### setMaximumCapacity

    @Private @Unstable public abstract void setMaximumCapacity(float maximumCapacity)

  - ### getCurrentCapacity

    @Public @Stable public abstract float getCurrentCapacity()
    Get the current capacity of the queue.
    Returns:
      current capacity of the queue

  - ### setCurrentCapacity

    @Private @Unstable public abstract void setCurrentCapacity(float currentCapacity)

  - ### getChildQueues

    @Public @Stable public abstract List<QueueInfo> getChildQueues()
    Get the child queues of the queue.
    Returns:
      child queues of the queue

  - ### setChildQueues

    @Private @Unstable public abstract void setChildQueues(List<QueueInfo> childQueues)

  - ### getApplications

    @Public @Stable public abstract List<ApplicationReport> getApplications()
    Get the running applications of the queue.
    Returns:
      running applications of the queue

  - ### setApplications

    @Private @Unstable public abstract void setApplications(List<ApplicationReport> applications)

  - ### getQueueState

    @Public @Stable public abstract QueueState getQueueState()
    Get the `QueueState` of the queue.
    Returns:
      `QueueState` of the queue

  - ### setQueueState

    @Private @Unstable public abstract void setQueueState(QueueState queueState)

  - ### getAccessibleNodeLabels

    @Public @Stable public abstract Set<String> getAccessibleNodeLabels()
    Get the `accessible node labels` of the queue.
    Returns:
      `accessible node labels` of the queue

  - ### setAccessibleNodeLabels

    @Private @Unstable public abstract void setAccessibleNodeLabels(Set<String> labels)
    Set the `accessible node labels` of the queue.
    Parameters:
      `labels` - node label expression of the queue.

  - ### getDefaultNodeLabelExpression

    @Public @Stable public abstract String getDefaultNodeLabelExpression()
    Get the `default node label expression` of the queue, this takes affect only when the `ApplicationSubmissionContext` and `ResourceRequest` don't specify their `NodeLabelExpression`.
    Returns:
      `default node label expression` of the queue

  - ### setDefaultNodeLabelExpression

    @Public @Stable public abstract void setDefaultNodeLabelExpression(String defaultLabelExpression)

  - ### getQueueStatistics

    @Public @Unstable public abstract QueueStatistics getQueueStatistics()
    Get the `queue stats` for the queue
    Returns:
      `queue stats` of the queue

  - ### setQueueStatistics

    @Public @Unstable public abstract void setQueueStatistics(QueueStatistics queueStatistics)
    Set the queue statistics for the queue
    Parameters:
      `queueStatistics` - the queue statistics

  - ### getPreemptionDisabled

    @Public @Stable public abstract Boolean getPreemptionDisabled()
    Get the preemption status of the queue.
    Returns:
      if property is not in proto, return null; otherwise, return preemption status of the queue

  - ### setPreemptionDisabled

    @Private @Unstable public abstract void setPreemptionDisabled(boolean preemptionDisabled)

  - ### getQueueConfigurations

    @Public @Stable public abstract Map<String,QueueConfigurations> getQueueConfigurations()
    Get the per-node-label queue configurations of the queue.
    Returns:
      the per-node-label queue configurations of the queue.

  - ### setQueueConfigurations

    @Private @Unstable public abstract void setQueueConfigurations(Map<String,QueueConfigurations> queueConfigurations)
    Set the per-node-label queue configurations for the queue.
    Parameters:
      `queueConfigurations` - the queue configurations

  - ### getIntraQueuePreemptionDisabled

    @Public @Stable public abstract Boolean getIntraQueuePreemptionDisabled()
    Get the intra-queue preemption status of the queue.
    Returns:
      if property is not in proto, return null; otherwise, return intra-queue preemption status of the queue

  - ### setIntraQueuePreemptionDisabled

    @Private @Unstable public abstract void setIntraQueuePreemptionDisabled(boolean intraQueuePreemptionDisabled)

  - ### getSchedulerType

    @Public @Stable public abstract String getSchedulerType()
    Get Scheduler type.
    Returns:
      SchedulerType.

  - ### setSchedulerType

    @Private @Unstable public abstract void setSchedulerType(String schedulerType)
    Set Scheduler type.
    Parameters:
      `schedulerType` - scheduler Type.

  - ### getMinResourceVCore

    @Public @Stable public abstract int getMinResourceVCore()
    Get the minimum resource VCore.
    Returns:
      minimum resource VCore.

  - ### setMinResourceVCore

    @Private @Unstable public abstract void setMinResourceVCore(int vCore)
    Set the minimum resource VCore.
    Parameters:
      `vCore` - minimum resource VCore.

  - ### getMinResourceMemory

    @Public @Stable public abstract long getMinResourceMemory()
    Get the minimum resource Memory.
    Returns:
      minimum resource Memory.

  - ### setMinResourceMemory

    @Private @Unstable public abstract void setMinResourceMemory(long memory)
    Set the minimum resource Memory.
    Parameters:
      `memory` - minimum resource Memory.

  - ### getMaxResourceVCore

    @Public @Stable public abstract int getMaxResourceVCore()
    Get the maximum resource VCore.
    Returns:
      maximum resource VCore.

  - ### setMaxResourceVCore

    @Private @Unstable public abstract void setMaxResourceVCore(int vCore)
    Set the maximum resource Memory.
    Parameters:
      `vCore` - maximum resource VCore.

  - ### getMaxResourceMemory

    @Public @Stable public abstract long getMaxResourceMemory()
    Get the maximum resource Memory.
    Returns:
      maximum resource Memory.

  - ### setMaxResourceMemory

    @Private @Unstable public abstract void setMaxResourceMemory(long memory)
    Set the maximum resource Memory.
    Parameters:
      `memory` - maximum resource Memory.

  - ### getReservedResourceVCore

    @Public @Stable public abstract int getReservedResourceVCore()
    Get the reserved resource VCore.
    Returns:
      reserved resource VCore.

  - ### setReservedResourceVCore

    @Private @Unstable public abstract void setReservedResourceVCore(int vCore)
    Set the reserved resource VCore.
    Parameters:
      `vCore` - reserved resource VCore.

  - ### getReservedResourceMemory

    @Public @Stable public abstract long getReservedResourceMemory()
    Get the reserved resource Memory.
    Returns:
      reserved resource Memory.

  - ### setReservedResourceMemory

    @Private @Unstable public abstract void setReservedResourceMemory(long memory)
    Set the reserved resource Memory.
    Parameters:
      `memory` - reserved resource Memory.

  - ### getSteadyFairShareVCore

    @Public @Stable public abstract int getSteadyFairShareVCore()
    Get the SteadyFairShare VCore.
    Returns:
      SteadyFairShare VCore.

  - ### setSteadyFairShareVCore

    @Private @Unstable public abstract void setSteadyFairShareVCore(int vCore)
    Set the SteadyFairShare VCore.
    Parameters:
      `vCore` - SteadyFairShare VCore.

  - ### getSteadyFairShareMemory

    @Public @Stable public abstract long getSteadyFairShareMemory()
    Get the SteadyFairShare Memory.
    Returns:
      SteadyFairShare Memory.

  - ### setSteadyFairShareMemory

    @Private @Unstable public abstract void setSteadyFairShareMemory(long memory)
    Set the SteadyFairShare Memory.
    Parameters:
      `memory` - SteadyFairShare Memory.

  - ### getSubClusterId

    @Public @Stable public abstract String getSubClusterId()
    Get the SubClusterId.
    Returns:
      the SubClusterId.

  - ### setSubClusterId

    @Private @Unstable public abstract void setSubClusterId(String subClusterId)
    Set the SubClusterId.
    Parameters:
      `subClusterId` - the SubClusterId.

  - ### getMaxRunningApp

    @Public @Stable public abstract int getMaxRunningApp()
    Get the MaxRunningApp.
    Returns:
      The number of MaxRunningApp.

  - ### setMaxRunningApp

    @Private @Unstable public abstract void setMaxRunningApp(int maxRunningApp)